CA_BUNDLE = "/etc/pki/ca-trust/extracted/pem/tls-ca-bundle.pem"

Vagrant.configure("2") do |config|
    config.vm.box = "bento/fedora-27"
    config.vm.provision "shell", inline: <<-SHELL
        fail() {
            [ -n "${1-}" ] && echo "Error: $1, quitting!" >&2
            exit 1
        }

        trap 'fail "Uncaught error at $(basename -- "$0"):$LINENO"' ERR
        set -Euo pipefail

        dnf install --assumeyes --quiet php php-ldap

        [ -f "#{CA_BUNDLE}" ] || fail "Could not find CA bundle at #{CA_BUNDLE}"
        [ -f "/etc/openldap/ldap.conf" ] || fail "Could not find ldap.conf"

        if ! grep -qF '^TLS_CACERT #{CA_BUNDLE}' /etc/openldap/ldap.conf; then
            echo 'TLS_CACERT #{CA_BUNDLE}' >>/etc/openldap/ldap.conf
        fi
    SHELL
end
